import { EventDispatcher } from "three";
interface ClickHelperEventMap {
    "click": {
        e: PointerEvent;
    };
}
export declare class ClickHelper extends EventDispatcher<ClickHelperEventMap> {
    ctn: HTMLElement;
    point?: {
        x: number;
        y: number;
    };
    constructor(ctn: HTMLElement);
    registryEvent(): void;
    unRegistryEvent(): void;
    _pointerDown: (e: PointerEvent) => void;
    _pointerUp: (e: PointerEvent) => void;
    dispose(): void;
}
export {};
